Package ghidra.program.model.data

# Interface StructureInternal

All Superinterfaces:
  `Composite`, `CompositeInternal`, `DataType`, `Structure`

All Known Implementing Classes:
  `StructureDataType`

public interface StructureInternal extends Structure, CompositeInternal

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ghidra.program.model.data.CompositeInternal

  `CompositeInternal.ComponentComparator, CompositeInternal.OffsetComparator, CompositeInternal.OrdinalComparator`

  ## Nested classes/interfaces inherited from interface ghidra.program.model.data.Structure

  `Structure.BitOffsetComparator`

- ## Field Summary

  ### Fields inherited from interface ghidra.program.model.data.CompositeInternal

  `ALIGN_NAME, DEFAULT_ALIGNMENT, DEFAULT_PACKING, DEFAULT_PACKING_NAME, DISABLED_PACKING_NAME, MACHINE_ALIGNMENT, NO_PACKING, PACKING_NAME`

  ### Fields inherited from interface ghidra.program.model.data.DataType

  `CONFLICT_SUFFIX, DEFAULT, NO_LAST_CHANGE_TIME, NO_SOURCE_SYNC_TIME, TYPEDEF_ATTRIBUTE_PREFIX, TYPEDEF_ATTRIBUTE_SUFFIX, VOID`

- ## Method Summary

  ### Methods inherited from interface ghidra.program.model.data.Composite

  `add, add, add, add, addBitField, align, dataTypeAlignmentChanged, delete, delete, getAlignment, getAlignmentType, getComponents, getDefinedComponents, getExplicitMinimumAlignment, getExplicitPackingValue, getNumComponents, getNumDefinedComponents, getPackingType, hasDefaultPacking, hasExplicitMinimumAlignment, hasExplicitPackingValue, insert, insert, insert, isDefaultAligned, isMachineAligned, isPackingEnabled, isPartOf, pack, repack, setDescription, setExplicitMinimumAlignment, setExplicitPackingValue, setPackingEnabled, setToDefaultAligned, setToDefaultPacking, setToMachineAligned`

  ### Methods inherited from interface ghidra.program.model.data.CompositeInternal

  `getStoredMinimumAlignment, getStoredPackingValue`

  ### Methods inherited from interface ghidra.program.model.data.DataType

  `addParent, copy, dataTypeDeleted, dataTypeNameChanged, dataTypeReplaced, dataTypeSizeChanged, dependsOn, encodeRepresentation, encodeValue, getAlignedLength, getCategoryPath, getDataOrganization, getDataTypeManager, getDataTypePath, getDefaultAbbreviatedLabelPrefix, getDefaultLabelPrefix, getDefaultLabelPrefix, getDefaultOffcutLabelPrefix, getDefaultSettings, getDescription, getDisplayName, getDocs, getLastChangeTime, getLastChangeTimeInSourceArchive, getLength, getMnemonic, getName, getParents, getPathName, getRepresentation, getSettingsDefinitions, getSourceArchive, getTypeDefSettingsDefinitions, getUniversalID, getValue, getValueClass, hasLanguageDependantLength, isDeleted, isEncodable, isEquivalent, isNotYetDefined, isZeroLength, removeParent, replaceWith, setCategoryPath, setLastChangeTime, setLastChangeTimeInSourceArchive, setName, setNameAndCategory, setSourceArchive`

  ### Methods inherited from interface ghidra.program.model.data.Structure

  `clearAtOffset, clearComponent, clone, deleteAll, deleteAtOffset, getComponent, getComponentAt, getComponentContaining, getComponentsContaining, getDataTypeAt, getDefinedComponentAtOrAfterOffset, growStructure, insertAtOffset, insertAtOffset, insertBitField, insertBitFieldAt, replace, replace, replaceAtOffset`